Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?

From: Phillip Neumiller <[email-masked]>
Date: Tue, 7 Aug 2001 08:46:31 -0400

Hi James,

The handover should be done in two phases (at least).
The downstairs handover between access networks is down
first and allowed temporarily by the foreign hosting 
network, i.e. the mobile is given a grace period to 
do its SeaMoby CT, BETH, FMIPv6 stuff, and only after
this occurs "smoothly/softly/seamlessly/gently" does
the upstairs handover between administrative domains
occur.

-pdn

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Tuesday, August 07, 2001 2:55 AM
> To: [email-masked]
> Subject: [mobile-ip] Heterogeneous Handover - How Would it Work?
> 
> 
> There has been alot of talk about handover between two 
> different technology
> interfaces over the last year, and it has been used as a 
> justification 
> for alot of work in both Seamoby and MIP WGs. However, it is entirely
> unclear to me exactly how this would work. For example, it seems to me
> that to handover between an interface running on one radio link
> configured with the global home address and an active CoA to another
> interface which is unconfigured, the MN would have to effectively
> transfer the global home address from the active interface to the
> unconfigured interface, then obtain a new CoA on the new interface.
> But, presumably  the home address was registered in the home network
> associated with a particular radio link technology. Does this 
> imply that there
> must also be a heterogeneous technology network back in the home
> network? Are there any security implications of this? If the 
> MN is authenticated through one interface, perhaps including
> L2 authentication, what would be needed to transfer that to
> the second interface? And would that matter to the binding between
> the L2 address and global home address back in the home network?
> 
> There are probably alot of other details involved in doing 
> heterogenous
> technology handover. Maybe I'm just being too paranoid, but I 
> think it 
> would be prudent to actually figure out how it would work 
> from a systems 
> perspective before we go further in using heterogeneous handover as a 
> justification for adding various features or removing them. 
> Otherwise, we 
> may end up with lots of features that basically don't reflect 
> reality. A 
> simple, clear description of how heterogeneous handover would 
> work is needed,
> IMHO.
> 
> 		jak
>

---

From: Phil Roberts <[email-masked]>
Date: Tue, 7 Aug 2001 13:00:01 -0400

>
> 
> Also, I believe that ETSI is working on a standard called GRX 
> for GSM<->802.11
> roaming.
> 
> PatC

Do you have more info on this?  GRX is a term for the GPRS roaming
exchange to allow GPRS roaming between different PLMNs.

Phil

---

From: "Dahl, Peter" <[email-masked]>
Date: Tue, 7 Aug 2001 16:27:16 -0700

We are also balking at the WECA barrier to entry (we have no product to
certify), and would also be interested in some insight to the WISPr
proceedings if anyone can provide that.

I know that some people are feeling excluded from that Forum (even though
they are members), which is the motivation for the 'competing' WISP Forum.
The WISP Forum are talking about a meeting possibly in September, probably
in the US.  I believe Excilan are organizing it, so I would suggest
contacting their CEO for more info.  He assures me that "the membership fee
is substantially lower, and you will get something out of it as well."

Rgds

-----Original Message-----
From: Brad Casemore [mailto:[email-masked]]
Sent: Tuesday, August 07, 2001 10:05 AM
To: [email-masked]
Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?

Aside from the relatively expensive proposition of joining WECA, could
anybody point me to a source that could provide an update on WISPr
progress? An article appeared in Network World at the end of May, but I
haven't seen or heard anything since.

> From: [email-masked] [mailto:owner-mobile-
> [email-masked]] On Behalf Of Dahl, Peter
> Sent: Tuesday, August 07, 2001 12:33 PM
> To: [email-masked]'
> Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?
> 
> FYI, the Wireless ISPs (WISPs) are already talking about such roaming
> issues.
> 
> There appear to be 2 emerging forums for these discussions, one under
the
> auspices of WECA (http://www.weca.net) known as the WISPr group ('r'
being
> for roaming), the other a yet to be finalized 'WISP Forum' the prime
mover
> for which is a company in Luxembourg (www.excilan.com).
> 
> Regards
> 
> Sent: Tuesday, August 07, 2001 8:58 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [mobile-ip] Heterogeneous Handover - How Would it Work?
> 
> 
> >On the other hand, the home address must belong to some ISP/operator.
> >That ISP must provide a home agent and an ip address, and a CoA when
the
> >MN is connected to other than the home subnet. Other ISPs that are
used
> >are only access providers, and would give the MN its CoA. This of
course
> >would cause political problems. Who are the ISPs that are willing to
be
> >access providers only, and who will be providing home agent and home
> >address as well?
> >
> 
> This is an issue. What happens if you have one access provider on
> one interface, say the wCDMA interface, and another on another, say
> 802.11?
> There are now in the US a growing number of 802.11 access providers,
> and I can imagine someone with a laptop having a wCDMA modem and
> an 802.11 card.
> 
> Maybe something like the "roaming consortia" that have sprung up
> around ISP access might evolve, but the protocol design/engineering
> issue is whether there is any additional work (such as the NAI in
> the roaming consortia example) needed to enable sharing of a home
> address among interfaces for which different ISPs are responsible.
> 
> Something like SUCV, that would allow an ISP to cryptographically
identify
> to what other ISP an address belonged, might be useful in this
context.

---

From: "Dahl, Peter" <[email-masked]>
Date: Wed, 8 Aug 2001 11:53:29 -0700

...not forgetting cdma2000.  I am not aware of any work in 3GPP2 or IEEE,
perhaps 3GPP ?

Pete

-----Original Message-----
From: Brad Casemore [mailto:[email-masked]]
Sent: Wednesday, August 08, 2001 11:29 AM
To: [email-masked]
Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?

If that is the case, then WECA's WISPr is dedicated to 802.11b roaming,
while the ETSI has assigned a group to address GPRS roaming. Is there a
group anywhere that is looking into the technical issues associated with
heterogeneous network roaming (such as between, theoretically, 802.11b
WLANs and GPRS)?

Brad 

> [email-masked]] On Behalf Of James Kempf
> Sent: Wednesday, August 08, 2001 2:19 AM
> Pat,
> I think they already have such a standard and I believe it only works
> with GPRS.
> 
> 		jak
> 
> >Also, I believe that ETSI is working on a standard called GRX for
GSM<-
> >802.11
> >roaming.
> >
> >PatC
> >On Tue, Aug 07, 2001 at 09:32:58AM -0700, Dahl, Peter wrote:
context.

---

From: James Kempf <[email-masked]>
Date: Thu, 9 Aug 2001 00:43:43 -0700

Brad,

As far as I know, this is not being addressed. There was some discussion
awhile back about forming a Mobile IP trade group to address interoperability
issues associated with roaming, but nothing came of it.

Perhaps it would be an appropriate topic for a WG in the OPS area of IETF?

		jak

---

From: [email-masked]
Date: Thu, 9 Aug 2001 10:52:04 -0500

Roaming is different from performing a handoff between different
access technologies. With Mobile IP you *CAN* move between different
access technologies. However the issue of administrative domains
and roaming agreements etc. are not in scope of this WG and I
suspect this WG has no reason to address those issues. As James
suggested this belons in the Ops area.

-Basavaraj 

> >> >> >would cause political problems. Who are the ISPs that 
> are willing
> >to
> >> be

---

From: [email-masked]
Date: Thu, 9 Aug 2001 10:55:06 -0500

Clearly, you are mixing roaming with seamless mobility across
heterogeneous
access types. The Mobile IP WG does not deal with aspects related to
roaming
agreements between operators or administrative domains. That is NOT what
this WG is about.

-Basavaraj

> From: ext Dahl, Peter [mailto:[email-masked]]
> Sent: Wednesday, August 08, 2001 1:53 PM

---

From: "Glenn Morrow" <[email-masked]>
Date: Thu, 9 Aug 2001 15:33:31 -0500

Raj,

That's like saying that BGP doesn't deal with the routing policy related to
business relationships between the owners of autonomous systems. You are
shoe-holing the group into only dealing with an enterprise - not the
Internet. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, August 09, 2001 10:55 AM
To: mobile-ip
Cc: Peter.Dahl
Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?

-Basavaraj

---

From: James Kempf <[email-masked]>
Date: Fri, 10 Aug 2001 08:57:17 +0-100

Glenn,

I think Raj is right on here, sorry. There are enough technical issues
involved in getting MIP to be deployable that the MIP group really
needs to focus on. An example is this NAT question.

If there are any operational issues involved in handover between operators that
need resolution, they should probably be handled in a separate working
group, like ROAMOPS. An example of such an issue might be advertising
access routers between operators using something like the Seamoby
CAR discovery protocol, which is just now getting off the ground.

		jak

---

From: [email-masked]
Date: Fri, 10 Aug 2001 05:04:29 -0500

Glenn,
 
>Raj, 
>
>That's like saying that BGP doesn't deal with the routing policy
>related to business relationships between the owners of autonomous
>systems. You are shoe-holing the group into only dealing with an
>enterprise - not the Internet.  
>
 
I am not sure why you believe my statement shoe-holes MIPv4 to
enterprise only. For MIPv4 to work within the enterprise and the
Internet you have to deal with the NAT problem as James mentioned and
that is something that this WG can and should work on (at IETF51 we
have decided that this is an area that will be worked on in this
WG). However the relationship between operators and roaming between
them is a different problem and that I do not believe is in the scope
of this WG.
 
-Basavaraj

---

From: "Glenn Morrow" <[email-masked]>
Date: Fri, 10 Aug 2001 11:06:25 -0500

It just seems to me that a roaming agreement is nothing more than a routing
policy in an all IP network. Why is a working group with a description of

 IP Routing for Wireless/Mobile Hosts 

limiting itself to just certain aspects of the "routing" problem. I see this
as directly related to IP routing for Wireless/Mobile Hosts - that was my
point. 

-----Original Message-----
From: Basavaraj.Patil [mailto:[email-masked]]
Sent: Friday, August 10, 2001 5:04 AM
To: mobile-ip
Cc: Peter.Dahl; Morrow, Glenn [RICH2:C330:EXCH]
Subject: RE: [mobile-ip] Heterogeneous Handover - How Would it Work?

Glenn,

 
-Basavaraj

---

From: James Kempf <[email-masked]>
Date: Mon, 13 Aug 2001 13:46:51 -0700 (PDT)

Pat,

This sounds like an excellent idea. I hope we can get some 3GPP WISP
representation, since there seems to be a particular need in this
area for defining wireless roaming interoperability. 

		jak
		
>Date: Mon, 13 Aug 2001 08:57:19 -0700
>From: Pat Calhoun <[email-masked]>
>Content-Disposition: inline
>User-Agent: Mutt/1.2.5i
>
>Since ROAMOPS was specifically looking at the dial-up market, perhaps it is 
time
>to revive the WG to look at wireless roaming implications.
>
>Does this make sense?
>
>PatC
>
>On Mon, Aug 13, 2001 at 10:50:18AM -0500, Glenn Morrow wrote:
>> Charlie,
>> 
>> I'm not sure it will always work for interdomain mobility on handoff. The
>> communication between the source and target administrative domains during a
>> handoff might need to be enhanced in order to convey the addresses of routes
>> (FAs, ARs) that are appropriate for handoff. 
>> 
>> This is what I trying to convey. I don't want to see the name changed. We
>> should understand that under certain situations the addresses for the source
>> and target routers may not even be known across autonomous systems. Defining
>> and solving these issues seems to fit into the MIP WG. They are related to
>> roaming agreements in a manner. I see ROAMOPS as subscription management -
>> not routing.
>> 
>> Glenn
>> 
>> 
>> 
>> From: Charlie Perkins [mailto:[email-masked]]
>> Sent: Friday, August 10, 2001 7:53 PM
>> Hello Glenn,
>> Since Mobile IP should work for intradomain mobility, I don't
>> see why this would be a good idea.
>> 
>> Regards,
>> Charlie P.
>> 
>> 
>> Glenn Morrow wrote:
>> 
>> > Let's change the description of the MIP WG then:
>> >
>> > Stick an "Interdomain" before the Routing for Mobile/Wireless Hosts
>> >
>> > Sent: Friday, August 10, 2001 4:11 AM
>> > To: mobile-ip; mobile-ip
>> > >I didn't read the above in the SUCV draft. SUCV allows nodes to
>> > challenge
>> > >the node with an SUCV address to show indicate that they have the
>> > private
>> > >key corresponding to the address. This doesn't identify the ISP as
>> > far
>> > >as I can tell.
>> > >Or do you intend to infer the identity of the ISP from the high-order
>> >
>> > >bits in the IPv6 address?
>> > >
>> >
>> > Right, the high order bits identify the ISP, the low order identify
>> > the mobile node.
>> >
>> > I suppose there is an issue here in that a mobile node could
>> > manufacture
>> > the high order bits and thus claim  it was from an ISV that it wasn't,
>> >
>> > but the low order bits should provide proof.
>> >
>> >                 jak
>>

---

From: [email-masked]
Date: Tue, 14 Aug 2001 08:45:57 +0300

Hi Pat,

> Since ROAMOPS was specifically looking at the dial-up market, 
> perhaps it is time to revive the WG to look at wireless roaming 
> implications.
> 
> Does this make sense?

I had hoped that this would be something addressable in (B)URP ...
Or am I totally off base?

John